KDE 4.2 PyKDE API Reference

- KDE's Python API

# SimpleJob Class Reference

`from PyKDE4.kio import *`

Inherits: KIO.Job → KCompositeJob → KJob → QObject
Subclasses: KIO.FileJob, KIO.ListJob, KIO.StatJob, KIO.TransferJob
Namespace: KIO

## Detailed Description

A simple job (one url and one command). This is the base class for all jobs that are scheduled. Other jobs are high-level jobs (CopyJob, DeleteJob, FileCopyJob...) that manage subjobs but aren't scheduled directly.

## Methods

| __init__ (self, SimpleJobPrivate dd)
| __init__ (self)
bool | doKill (self)
bool | doResume (self)
bool | doSuspend (self)
| putOnHold (self)
| slotError (self, int a0, QString a1)
| slotFinished (self)
| slotMetaData (self, KIO.MetaData _metaData)
| slotWarning (self, QString a0)
| storeSSLSessionFromJob (self, KUrl m_redirectionURL)
KUrl | url (self)

## Static Methods

| removeOnHold ()

## Method Documentation

__init__ | ( | self, |
|  | SimpleJobPrivate | dd
| ) |  |  |

Creates a new simple job. You don't need to use this constructor, unless you create a new job that inherits from SimpleJob.

__init__ | ( |  | self ) |

bool doKill | ( |  | self ) |

Abort job. This kills all subjobs and deletes the job.

bool doResume | ( |  | self ) |

Resume this job

See also:
  suspend

bool doSuspend | ( |  | self ) |

Suspend this job

See also:
  resume

putOnHold | ( |  | self ) |

Abort job. Suspends slave to be reused by another job for the same request.

removeOnHold | ( |  | ) |

Discard suspended slave.

slotError | ( | self, |
|  | int | a0,
|  | QString | a1
| ) |  |  |

Internal:
  Called on a slave's error. Made public for the scheduler.

slotFinished | ( |  | self ) |

Called when the slave marks the job as finished.

slotMetaData | ( | self, |
|  | KIO.MetaData | _metaData
| ) |  |  |

MetaData from the slave is received.

Parameters:

  | _metaData | the meta data

See also:
  metaData()

slotWarning | ( | self, |
|  | QString | a0
| ) |  |  |

Internal:
  Called on a slave's warning.

storeSSLSessionFromJob | ( | self, |
|  | KUrl | m_redirectionURL
| ) |  |  |

KUrl url | ( |  | self ) |

Returns the SimpleJob's URL

Returns:
  the url